package com.chinaitop.depot.intelligent.coldStorage.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TKtinfoHistoryExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TKtinfoHistoryExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andVcfcodeIsNull() {
            addCriterion("vcfcode is null");
            return (Criteria) this;
        }

        public Criteria andVcfcodeIsNotNull() {
            addCriterion("vcfcode is not null");
            return (Criteria) this;
        }

        public Criteria andVcfcodeEqualTo(String value) {
            addCriterion("vcfcode =", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeNotEqualTo(String value) {
            addCriterion("vcfcode <>", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeGreaterThan(String value) {
            addCriterion("vcfcode >", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeGreaterThanOrEqualTo(String value) {
            addCriterion("vcfcode >=", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeLessThan(String value) {
            addCriterion("vcfcode <", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeLessThanOrEqualTo(String value) {
            addCriterion("vcfcode <=", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeLike(String value) {
            addCriterion("vcfcode like", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeNotLike(String value) {
            addCriterion("vcfcode not like", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeIn(List<String> values) {
            addCriterion("vcfcode in", values, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeNotIn(List<String> values) {
            addCriterion("vcfcode not in", values, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeBetween(String value1, String value2) {
            addCriterion("vcfcode between", value1, value2, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeNotBetween(String value1, String value2) {
            addCriterion("vcfcode not between", value1, value2, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeIsNull() {
            addCriterion("vdevcode is null");
            return (Criteria) this;
        }

        public Criteria andVdevcodeIsNotNull() {
            addCriterion("vdevcode is not null");
            return (Criteria) this;
        }

        public Criteria andVdevcodeEqualTo(String value) {
            addCriterion("vdevcode =", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeNotEqualTo(String value) {
            addCriterion("vdevcode <>", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeGreaterThan(String value) {
            addCriterion("vdevcode >", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeGreaterThanOrEqualTo(String value) {
            addCriterion("vdevcode >=", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeLessThan(String value) {
            addCriterion("vdevcode <", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeLessThanOrEqualTo(String value) {
            addCriterion("vdevcode <=", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeLike(String value) {
            addCriterion("vdevcode like", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeNotLike(String value) {
            addCriterion("vdevcode not like", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeIn(List<String> values) {
            addCriterion("vdevcode in", values, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeNotIn(List<String> values) {
            addCriterion("vdevcode not in", values, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeBetween(String value1, String value2) {
            addCriterion("vdevcode between", value1, value2, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeNotBetween(String value1, String value2) {
            addCriterion("vdevcode not between", value1, value2, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevnameIsNull() {
            addCriterion("vdevname is null");
            return (Criteria) this;
        }

        public Criteria andVdevnameIsNotNull() {
            addCriterion("vdevname is not null");
            return (Criteria) this;
        }

        public Criteria andVdevnameEqualTo(String value) {
            addCriterion("vdevname =", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameNotEqualTo(String value) {
            addCriterion("vdevname <>", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameGreaterThan(String value) {
            addCriterion("vdevname >", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameGreaterThanOrEqualTo(String value) {
            addCriterion("vdevname >=", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameLessThan(String value) {
            addCriterion("vdevname <", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameLessThanOrEqualTo(String value) {
            addCriterion("vdevname <=", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameLike(String value) {
            addCriterion("vdevname like", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameNotLike(String value) {
            addCriterion("vdevname not like", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameIn(List<String> values) {
            addCriterion("vdevname in", values, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameNotIn(List<String> values) {
            addCriterion("vdevname not in", values, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameBetween(String value1, String value2) {
            addCriterion("vdevname between", value1, value2, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameNotBetween(String value1, String value2) {
            addCriterion("vdevname not between", value1, value2, "vdevname");
            return (Criteria) this;
        }

        public Criteria andCurrentmodeIsNull() {
            addCriterion("currentmode is null");
            return (Criteria) this;
        }

        public Criteria andCurrentmodeIsNotNull() {
            addCriterion("currentmode is not null");
            return (Criteria) this;
        }

        public Criteria andCurrentmodeEqualTo(Integer value) {
            addCriterion("currentmode =", value, "currentmode");
            return (Criteria) this;
        }

        public Criteria andCurrentmodeNotEqualTo(Integer value) {
            addCriterion("currentmode <>", value, "currentmode");
            return (Criteria) this;
        }

        public Criteria andCurrentmodeGreaterThan(Integer value) {
            addCriterion("currentmode >", value, "currentmode");
            return (Criteria) this;
        }

        public Criteria andCurrentmodeGreaterThanOrEqualTo(Integer value) {
            addCriterion("currentmode >=", value, "currentmode");
            return (Criteria) this;
        }

        public Criteria andCurrentmodeLessThan(Integer value) {
            addCriterion("currentmode <", value, "currentmode");
            return (Criteria) this;
        }

        public Criteria andCurrentmodeLessThanOrEqualTo(Integer value) {
            addCriterion("currentmode <=", value, "currentmode");
            return (Criteria) this;
        }

        public Criteria andCurrentmodeIn(List<Integer> values) {
            addCriterion("currentmode in", values, "currentmode");
            return (Criteria) this;
        }

        public Criteria andCurrentmodeNotIn(List<Integer> values) {
            addCriterion("currentmode not in", values, "currentmode");
            return (Criteria) this;
        }

        public Criteria andCurrentmodeBetween(Integer value1, Integer value2) {
            addCriterion("currentmode between", value1, value2, "currentmode");
            return (Criteria) this;
        }

        public Criteria andCurrentmodeNotBetween(Integer value1, Integer value2) {
            addCriterion("currentmode not between", value1, value2, "currentmode");
            return (Criteria) this;
        }

        public Criteria andStarttimeIsNull() {
            addCriterion("starttime is null");
            return (Criteria) this;
        }

        public Criteria andStarttimeIsNotNull() {
            addCriterion("starttime is not null");
            return (Criteria) this;
        }

        public Criteria andStarttimeEqualTo(Date value) {
            addCriterion("starttime =", value, "starttime");
            return (Criteria) this;
        }

        public Criteria andStarttimeNotEqualTo(Date value) {
            addCriterion("starttime <>", value, "starttime");
            return (Criteria) this;
        }

        public Criteria andStarttimeGreaterThan(Date value) {
            addCriterion("starttime >", value, "starttime");
            return (Criteria) this;
        }

        public Criteria andStarttimeGreaterThanOrEqualTo(Date value) {
            addCriterion("starttime >=", value, "starttime");
            return (Criteria) this;
        }

        public Criteria andStarttimeLessThan(Date value) {
            addCriterion("starttime <", value, "starttime");
            return (Criteria) this;
        }

        public Criteria andStarttimeLessThanOrEqualTo(Date value) {
            addCriterion("starttime <=", value, "starttime");
            return (Criteria) this;
        }

        public Criteria andStarttimeIn(List<Date> values) {
            addCriterion("starttime in", values, "starttime");
            return (Criteria) this;
        }

        public Criteria andStarttimeNotIn(List<Date> values) {
            addCriterion("starttime not in", values, "starttime");
            return (Criteria) this;
        }

        public Criteria andStarttimeBetween(Date value1, Date value2) {
            addCriterion("starttime between", value1, value2, "starttime");
            return (Criteria) this;
        }

        public Criteria andStarttimeNotBetween(Date value1, Date value2) {
            addCriterion("starttime not between", value1, value2, "starttime");
            return (Criteria) this;
        }

        public Criteria andEndtimeIsNull() {
            addCriterion("endtime is null");
            return (Criteria) this;
        }

        public Criteria andEndtimeIsNotNull() {
            addCriterion("endtime is not null");
            return (Criteria) this;
        }

        public Criteria andEndtimeEqualTo(Date value) {
            addCriterion("endtime =", value, "endtime");
            return (Criteria) this;
        }

        public Criteria andEndtimeNotEqualTo(Date value) {
            addCriterion("endtime <>", value, "endtime");
            return (Criteria) this;
        }

        public Criteria andEndtimeGreaterThan(Date value) {
            addCriterion("endtime >", value, "endtime");
            return (Criteria) this;
        }

        public Criteria andEndtimeGreaterThanOrEqualTo(Date value) {
            addCriterion("endtime >=", value, "endtime");
            return (Criteria) this;
        }

        public Criteria andEndtimeLessThan(Date value) {
            addCriterion("endtime <", value, "endtime");
            return (Criteria) this;
        }

        public Criteria andEndtimeLessThanOrEqualTo(Date value) {
            addCriterion("endtime <=", value, "endtime");
            return (Criteria) this;
        }

        public Criteria andEndtimeIn(List<Date> values) {
            addCriterion("endtime in", values, "endtime");
            return (Criteria) this;
        }

        public Criteria andEndtimeNotIn(List<Date> values) {
            addCriterion("endtime not in", values, "endtime");
            return (Criteria) this;
        }

        public Criteria andEndtimeBetween(Date value1, Date value2) {
            addCriterion("endtime between", value1, value2, "endtime");
            return (Criteria) this;
        }

        public Criteria andEndtimeNotBetween(Date value1, Date value2) {
            addCriterion("endtime not between", value1, value2, "endtime");
            return (Criteria) this;
        }

        public Criteria andEnergyIsNull() {
            addCriterion("energy is null");
            return (Criteria) this;
        }

        public Criteria andEnergyIsNotNull() {
            addCriterion("energy is not null");
            return (Criteria) this;
        }

        public Criteria andEnergyEqualTo(BigDecimal value) {
            addCriterion("energy =", value, "energy");
            return (Criteria) this;
        }

        public Criteria andEnergyNotEqualTo(BigDecimal value) {
            addCriterion("energy <>", value, "energy");
            return (Criteria) this;
        }

        public Criteria andEnergyGreaterThan(BigDecimal value) {
            addCriterion("energy >", value, "energy");
            return (Criteria) this;
        }

        public Criteria andEnergyGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("energy >=", value, "energy");
            return (Criteria) this;
        }

        public Criteria andEnergyLessThan(BigDecimal value) {
            addCriterion("energy <", value, "energy");
            return (Criteria) this;
        }

        public Criteria andEnergyLessThanOrEqualTo(BigDecimal value) {
            addCriterion("energy <=", value, "energy");
            return (Criteria) this;
        }

        public Criteria andEnergyIn(List<BigDecimal> values) {
            addCriterion("energy in", values, "energy");
            return (Criteria) this;
        }

        public Criteria andEnergyNotIn(List<BigDecimal> values) {
            addCriterion("energy not in", values, "energy");
            return (Criteria) this;
        }

        public Criteria andEnergyBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("energy between", value1, value2, "energy");
            return (Criteria) this;
        }

        public Criteria andEnergyNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("energy not between", value1, value2, "energy");
            return (Criteria) this;
        }

        public Criteria andUpersonIsNull() {
            addCriterion("uperson is null");
            return (Criteria) this;
        }

        public Criteria andUpersonIsNotNull() {
            addCriterion("uperson is not null");
            return (Criteria) this;
        }

        public Criteria andUpersonEqualTo(String value) {
            addCriterion("uperson =", value, "uperson");
            return (Criteria) this;
        }

        public Criteria andUpersonNotEqualTo(String value) {
            addCriterion("uperson <>", value, "uperson");
            return (Criteria) this;
        }

        public Criteria andUpersonGreaterThan(String value) {
            addCriterion("uperson >", value, "uperson");
            return (Criteria) this;
        }

        public Criteria andUpersonGreaterThanOrEqualTo(String value) {
            addCriterion("uperson >=", value, "uperson");
            return (Criteria) this;
        }

        public Criteria andUpersonLessThan(String value) {
            addCriterion("uperson <", value, "uperson");
            return (Criteria) this;
        }

        public Criteria andUpersonLessThanOrEqualTo(String value) {
            addCriterion("uperson <=", value, "uperson");
            return (Criteria) this;
        }

        public Criteria andUpersonLike(String value) {
            addCriterion("uperson like", value, "uperson");
            return (Criteria) this;
        }

        public Criteria andUpersonNotLike(String value) {
            addCriterion("uperson not like", value, "uperson");
            return (Criteria) this;
        }

        public Criteria andUpersonIn(List<String> values) {
            addCriterion("uperson in", values, "uperson");
            return (Criteria) this;
        }

        public Criteria andUpersonNotIn(List<String> values) {
            addCriterion("uperson not in", values, "uperson");
            return (Criteria) this;
        }

        public Criteria andUpersonBetween(String value1, String value2) {
            addCriterion("uperson between", value1, value2, "uperson");
            return (Criteria) this;
        }

        public Criteria andUpersonNotBetween(String value1, String value2) {
            addCriterion("uperson not between", value1, value2, "uperson");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("remark is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("remark is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("remark =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("remark <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("remark >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("remark >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("remark <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("remark <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("remark like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("remark not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("remark in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("remark not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("remark between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("remark not between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(String value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(String value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(String value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(String value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(String value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(String value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLike(String value) {
            addCriterion("org_id like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotLike(String value) {
            addCriterion("org_id not like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<String> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<String> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(String value1, String value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(String value1, String value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}